Skip to main content
POST
/
onboarding
/
subaccounts
Begin new customer subaccount onboarding application
curl --request POST \
  --url https://api.anchorage-staging.com/v2/onboarding/subaccounts \
  --header 'Api-Access-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entries": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "externalId": "<string>",
  "name": "<string>",
  "submit": true
}
'
{
  "data": {
    "status": "<string>",
    "subaccountId": "<string>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Body

application/json
entries
object[]
required

A collection of responses for a set of defined relevant questions.

externalId
string
required

External identifier for the customer subaccount onboarding application. This value has to be unique for each customer subaccount application.

name
string

The name of the subaccount.

submit
boolean

Optional parameter to try to submit the application if there are no validation errors. This action is irreversible you cannot update the application values after. You can use this to avoid making another api call to POST /v2/onboarding/subaccounts/submit

Response

Customer subaccount ID and information of the successfully created customer subaccount onboarding application

data
CreateKYCSubaccountApplicationResponseData · object
required